/**
 * Title:        Results.java
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      IBM
 * Date:  August 30, 2001 
 *
 * @author Rodney H. Brown
 * Path, component, release: prov/com/ibm/providers/ServeRAID/Results.java, sv_esw_cdm_provider, raid_prov, 20021101
 * Version                 : 1.8
 * Extracted at            : 10:44:44 on 11/12/02
 * Newest delta applied at : 10:35:15 on 4/18/02
 * Notes:
 *  
 * Change History:
 *   Date:			Intials:		Change:
 *   09102001			RHB			Update provider code to the latest levels
 */

//$$$ change package name to provider package package name     
package com.ibm.sysmgt.raidmgr.cim.provider.cdm;


import java.io.*;
import java.util.*;
import java.lang.*;


/**
 * This class is a container for the test (usually in C++) to stuff the results
 * This class currently contains data only
 */
//$$$ This class works with runTests and can be changed
public class Results
{

    //Test Status codes...unknown, other, passed, failed, inprogress, stopped
    public static int RESULT_UNKNOWN 	= 0;
    public static int RESULT_OTHER  	= 1;
    public static int RESULT_PASSED  	= 2;
    public static int RESULT_FAILED   	= 3;
    public static int RESULT_INPROGRESS = 4;
    public static int RESULT_STOPPED    = 5;

    public int statusCode		= RESULT_UNKNOWN;
    public String errorCode 		= new String();
    public String deviceLocation	= new String();
    public String firmwareLevel		= new String();
    public Vector details		= new Vector();
    public Vector actionOnFailure	= new Vector();

}
